<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Arsip_detail extends CI_Controller {
	function index(){
		#prevent direct access to page
		#the user should only access the page through menu
		if($this->nativesession->get_flash_session('security')==FALSE){
			redirect('main');
		}

		if($this->session->userdata('is_logged_in')==FALSE){
			redirect('login');
		}
		$arsip_id = $this->nativesession->get_flash_session('perkara_id');
		if(!is_numeric($arsip_id)){
			redirect('main');
		}
		$this->show_data();
	}

	function show_data(){
		$arsip_id = $this->nativesession->get_flash_session('perkara_id');
		$data['enc'] = $this->nativesession->get_flash_session('enc');
		$data['page_title'] = 'INFORMASI DETAIL ARSIP';
		$data['main_body'] = 'arsip_list/detil_arsip_v';
		$data['main_history'] = $this->nativesession->get('main_url_requested');
		$data['history'] = $this->nativesession->get_flash_session('url_requested');
		$this->load->vars($data);
		$this->load->view('header');
		$this->load->view('body/body_new');
	}

}